FROM adoptopenjdk/openjdk12:latest

############## Install Java 12 ##############
RUN apt-get update && \
    apt-get upgrade -y && \
    apt-get install -y  software-properties-common && \
    add-apt-repository ppa:linuxuprising/java -y && \
    apt-get update && \
    echo oracle-java12-installer shared/accepted-oracle-license-v1-2 select true | /usr/bin/debconf-set-selections && \
    apt-get install -y oracle-java12-installer && \
    rm -rf /var/cache/oracle-jdk12-installer

############## initialize eduarc index ##############
RUN docker cp files elasticsearch:/usr/files
RUN docker exec -it elasticsearch bash
RUN cd ..
COPY ./files/EduArc-index-settings.json ./tmp/EduArc-index-settings.json

RUN mkdir -p ./files/dis
ADD ./files/dis ./files/dis

RUN cd elasticsearch/bin
RUN elasticsearch

curl -XPUT "localhost:9200/eduarc?pretty" -H "Content-Type:application/json" --data-binary "@./tmp/EduArc-index-settings.json"

############## harvester ##############

############## mapper ##############
# upload sample data files
RUN mkdir -p ./local/sample
ADD ./files/sample ./local/sample

# map sample file to EduArc CDM
RUN java -jar ./files/dis/CDMMapper.jar econbiz ./sample/econbiz.json

############## indexer ##############
#add sample data to index
RUN mkdir -p ./tmp/ready
RUN java -jar ./files/dis/CDMIndexer.jar -e eduarc -f ./tmp/ready/econbiz.json -t 4 


CMD ["/run.sh"]
